pci_choose_state
Prev | PCI Support Library | Next

## Name

pci_choose_state — Choose the power state of a PCI device

## Synopsis

`pci_power_t pci_choose_state (` | struct pci_dev * | dev,
| pm_message_t | state`)`;

## Arguments

`dev`

  PCI device to be suspended

`state`

  target sleep state for the whole system. This is the value that is passed to `suspend` function.

## Description

Returns PCI power state suitable for given device and given system message.

Prev | Up | Next
pci_set_power_state | Home | pci_save_state